/* Define las variables de colores */
:root {
    --facebook-color: #1877F2;
    --twitter-color: #1DA1F2;
    --instagram-color: #E4405F;
    --youtube-color: #c4302b;
    --whatsapp-color: #25D366;
    --amarillo: #FFE38F;
    --amarillo-oscuro: #B6A164;
    --verde: #00473e;
}
body{
    font-family: 'Oxygen', sans-serif;
    font-family: 'Raleway', sans-serif;
    font-family: 'Roboto', sans-serif;
    font-family: 'Wix Madefor Display', sans-serif;
}
nav{
    background-color: var(--amarillo);
    height: 90px;
    border-bottom: 2px solid var(--amarillo-oscuro);
}
nav a{
    font-family: 'Oxygen', sans-serif;
    font-family: 'Raleway', sans-serif;
    font-family: 'Roboto', sans-serif;
    font-family: 'Wix Madefor Display', sans-serif;
    color: var(--amarillo-oscuro);
}
.navbar-toggler {
    padding: 0.25rem 0.75rem;
    font-size: 1.25rem;
    line-height: 1;
    background-color: transparent;
    border: 2px solid var(--amarillo-oscuro);
    border-radius: 0.25rem;
    color: var(--amarillo-oscuro);
}
.text-primary{
    color: var(--verde) !important;
}
.btn-primary{
    background-color: #1DA1F2;
    border: 0;
}
.box-bg{
    height: 100%;
    width: 100%;
}
h1{
    color: var(--verde) !important;
    font-weight: 400; 
}
.text-secondary{
    color: var(--amarillo) !important;
}
.img-logo{
    height: 70px;
}
.bg-img{
    height: 100vh;
    width: 100%;
    object-fit: cover;
    position: relative;
}
.box {
    height: 700px;
    width: 100%;
    background-color: #2e2e2e50;
    box-shadow: 45px 0px 45px 0px #2e2e2e50;
    position: absolute;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
} */
.box h1{
    text-shadow: 0px 5px 5px rgb(0, 0, 0);
}
.box p{
    text-shadow: 0px 5px 5px rgb(0, 0, 0);
}
footer{
    background: var(--amarillo);
    border-top: 2px solid var(--amarillo-oscuro);
}

.absolute-footer{
    background-color: #EFF1F4;
}
/* EFECTOS PARA REDES SOCIALES */
.wrapper {
    display: inline-flex;
    list-style: none;
    font-family: "Poppins", sans-serif;
    justify-content: center;
}

.wrapper a{
    color: black;
}
.wrapper .icon:hover a{
    color: #fff;
}

.wrapper .icon {
    position: relative;
    background: #fff;
    border-radius: 50%;
    margin: 10px;
    width: 50px;
    height: 50px;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.wrapper .tooltip {
    position: absolute;
    top: 0;
    font-size: 14px;
    background: #fff;
    color: #fff;
    padding: 5px 8px;
    border-radius: 5px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.wrapper .tooltip::before {
    position: absolute;
    content: "";
    height: 8px;
    width: 8px;
    background: #fff;
    bottom: -3px;
    left: 50%;
    transform: translate(-50%) rotate(45deg);
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.wrapper .icon:hover .tooltip {
    top: -45px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.wrapper .icon:hover a,
.wrapper .icon:hover .tooltip {
    text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1);
}
  
.wrapper a:hover,
.wrapper a:hover .tooltip,
.wrapper a:hover .tooltip::before {
    color: #fff;
}
  
.wrapper .facebook:hover,
.wrapper .facebook:hover .tooltip,
.wrapper .facebook:hover .tooltip::before {
    background: var(--facebook-color);
}
  
.wrapper .twitter:hover,
.wrapper .twitter:hover .tooltip,
.wrapper .twitter:hover .tooltip::before {
    background: var(--twitter-color);
}
  
.wrapper .instagram:hover,
.wrapper .instagram:hover .tooltip,
.wrapper .instagram:hover .tooltip::before {
    background: var(--instagram-color);
}
  
.wrapper .youtube:hover,
.wrapper .youtube:hover .tooltip,
.wrapper .youtube:hover .tooltip::before {
    background: var(--youtube-color);
}
  
.wrapper .whatsapp:hover,
.wrapper .whatsapp:hover .tooltip,
.wrapper .whatsapp:hover .tooltip::before {
    background: var(--whatsapp-color);
}
  

/* ----------------- Boton de whatsapp ----------------- */
.btn-whatsapp {
    font-family: inherit;
    display: inline-block;
    line-height: 2.5em;
    margin: 20px;
    padding: 5px 15px;
    position: relative;
    overflow: hidden;
    border: 2px solid var(--amarillo);
    transition: color .5s;
    z-index: 1;
    font-size: 17px;
    border-radius: 6px;
    color: var(--verde);
    font-weight: bolder;
    background-color: var(--amarillo);
}
   
.btn-whatsapp:before {
    content: "";
    position: absolute;
    z-index: -1;
    background: var(--whatsapp-color);
    height: 300px;
    width: 300px;
    border-radius: 50%;
    margin: -15px;
   }
   
.btn-whatsapp:hover {
    color: #fff;
    border: 2px solid var(--verde);
}
   
.btn-whatsapp:before {
    top: 100%;
    left: 100%;
    transition: all .7s;
}
   
.btn-whatsapp:hover:before {
    top: -30px;
    left: -30px;
}
   
.btn-whatsapp:active:before {
    background: #3a0ca3;
    transition: background 0s;
}
/* -----------------  Fin Boton de whatsapp ----------------- */



@keyframes arrowAnimation {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(10px);
    }
}

.arrow-icon {
    animation: arrowAnimation 2s infinite; 
    color: #ffffff;
    font-size: 2em;
    position: absolute;
    bottom: 0;
    margin-bottom: 0px;
}

@media (max-width: 991px) {
    .navbar-collapse {
        background-color: var(--amarillo);
        padding: 20px;
        border-radius: 0px 0px 20px 20px;
        border-color: var(--amarillo-oscuro);
        border-style: solid;
        border-width: 0px 2px 2px 2px;
    }
}